//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: TriclopsCameraControlDlg.h 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

#ifndef STEREOCONTROLDLG_H
#define STEREOCONTROLDLG_H

//=============================================================================
// PGR Includes
//=============================================================================
#include <FlyCapture2GUI.h>
#include <FlyCapture2.h>

namespace TriclopsDemo {

class TriclopsCameraControlDlg : public FlyCapture2::CameraControlDlg
{
public:
    TriclopsCameraControlDlg();
    ~TriclopsCameraControlDlg();

    void Connect(FlyCapture2::CameraBase *pCamera);

    void Disconnect();

    void Show();

    void Hide();

    void ShowHide();

    bool IsConnected();
private:
    bool bConnected;
};

}

#endif // STEREOCONTROLDLG_H
