#!/bin/sh

set -e

MY_YESNO_PROMPT='[y/N] '

echo "This is a script to assist with installation of the Triclops SDK."
echo "Would you like to continue and install all of Triclops SDK packages?"
echo -n "$MY_YESNO_PROMPT"
read confirm

if [ $confirm != "y" ] || [ $confirm != "Y" ] || [ $confirm = "yes" ] || [ $confirm = "Yes" ]
then
    exit 0
    break
fi

echo "\nInstalling gdebi and Triclops SDK packages...";

# gdebi installs debian packages looking for unmet dependencies and installs them
sudo apt-get install -y gdebi
# install the actual SDK
sudo gdebi --n libtriclops4*.deb
sudo gdebi --n triclopsdemo4*.deb

echo "\nComplete";

exit 0
