//=============================================================================
// Copyright © 2015 Point Grey Research, Inc. All Rights Reserved.
//
// This software is the confidential and proprietary information of Point
// Grey Research, Inc. ("Confidential Information").  You shall not
// disclose such Confidential Information and shall use it only in
// accordance with the terms of the license agreement you entered into
// with Point Grey Research, Inc. (PGR).
//
// PGR MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
// SOFTWARE, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
// PURPOSE, OR NON-INFRINGEMENT. PGR SHALL NOT BE LIABLE FOR ANY DAMAGES
// SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
// THIS SOFTWARE OR ITS DERIVATIVES.
//=============================================================================

//=============================================================================
// $Id: main.cpp 275159 2016-03-30 13:58:24Z micheleb $
//=============================================================================

//=============================================================================
// Project Includes
//=============================================================================
#include "triclopsDemoWnd.h"
#include "RGBAColour.h"
#include "FrameStructures.h"
#include "UserPreferences.h"

//=============================================================================
// Qt Includes
//=============================================================================
#include <QApplication>

int main(int argc, char *argv[])
{
    qRegisterMetaType<TriclopsDemo::ColourScheme_t>();
    qRegisterMetaType<TriclopsDemo::FileDefinition_t>();
    qRegisterMetaType<TriclopsDemo::Resolution_t>();
    qRegisterMetaType<TriclopsDemo::BitmapIdentificator_t>();
    qRegisterMetaType<TriclopsDemo::UserPreferences>();
    QApplication triclopsDemo(argc, argv);
    triclopsDemoWnd mainWindow;
    mainWindow.show();

    return triclopsDemo.exec();
}
